RagTime5TextInternal::Block Struct Reference

a small struct use to define a block of a RagTime5Text More...

## Public Member Functions

| Block ()
| constructor

## Public Attributes

int | m_id
| the block id
int | m_subId
| the block sub id
MWAWBox2f | m_dimension
| the block dimension
int | m_plc [2]
| the list of zone plc (first-end)
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Block const &block)
| operator<<

## Detailed Description

a small struct use to define a block of a RagTime5Text

## Constructor & Destructor Documentation

## Block()

RagTime5TextInternal::Block::Block | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Block const & | block )

friend

operator<<

## Member Data Documentation

## m_dimension

MWAWBox2f RagTime5TextInternal::Block::m_dimension

the block dimension

Referenced by Block(), operator<<, and RagTime5TextInternal::TextCParser::parseZoneBlock().

## m_extra

std::string RagTime5TextInternal::Block::m_extra

extra data

Referenced by Block(), operator<<, RagTime5TextInternal::BlockCellListParser::parseData(), and RagTime5TextInternal::TextCParser::parseZoneBlock().

## m_id

int RagTime5TextInternal::Block::m_id

the block id

Referenced by Block(), operator<<, and RagTime5TextInternal::TextCParser::parseZoneBlock().

## m_plc

int RagTime5TextInternal::Block::m_plc[2]

the list of zone plc (first-end)

Referenced by Block(), operator<<, RagTime5TextInternal::BlockCellListParser::parseData(), RagTime5TextInternal::TextCParser::parseZoneBlock(), and RagTime5Text::send().

## m_subId

int RagTime5TextInternal::Block::m_subId

the block sub id

Referenced by Block(), operator<<, and RagTime5TextInternal::TextCParser::parseZoneBlock().

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx